Bug 175915 - [NEW PORT] sysutils/debhelper: Helper programs for debian/rules
Summary: [NEW PORT] sysutils/debhelper: Helper programs for debian/rules
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-07 04:50 UTC by gslin
Modified: 2013-02-08 09:10 UTC (History)
1 user (show)

See Also:


Attachments
.shar (5.22 KB, text/plain)
2013-02-07 04:50 UTC, gslin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description gslin 2013-02-07 04:50:00 UTC
A collection of programs that can be used in a debian/rules file to automate
common tasks related to building debian packages. Programs are included to
install various files into your package, compress files, fix file permissions,
integrate your package with the debian menu system, debconf, doc-base, etc.
Most debian packages use debhelper as part of their build process.

WWW:	http://joeyh.name/code/debhelper/

Generated with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 Martin Wilke freebsd_committer 2013-02-08 09:08:02 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 2 dfilter service freebsd_committer 2013-02-08 09:08:29 UTC
Author: miwi
Date: Fri Feb  8 09:08:19 2013
New Revision: 311923
URL: http://svnweb.freebsd.org/changeset/ports/311923

Log:
  A collection of programs that can be used in a debian/rules file to automate
  common tasks related to building debian packages. Programs are included to
  install various files into your package, compress files, fix file permissions,
  integrate your package with the debian menu system, debconf, doc-base, etc.
  Most debian packages use debhelper as part of their build process.
  
  WWW:	http://joeyh.name/code/debhelper/
  
  PR:		ports/175915
  Submitted by:	Gea-Suan Lin <gslin@gslin.org>

Added:
  head/sysutils/debhelper/
  head/sysutils/debhelper/Makefile   (contents, props changed)
  head/sysutils/debhelper/distinfo   (contents, props changed)
  head/sysutils/debhelper/files/
  head/sysutils/debhelper/files/patch-Makefile   (contents, props changed)
  head/sysutils/debhelper/pkg-descr   (contents, props changed)
  head/sysutils/debhelper/pkg-plist   (contents, props changed)
Modified:
  head/sysutils/Makefile

Modified: head/sysutils/Makefile
==============================================================================
--- head/sysutils/Makefile	Fri Feb  8 09:07:28 2013	(r311922)
+++ head/sysutils/Makefile	Fri Feb  8 09:08:19 2013	(r311923)
@@ -163,6 +163,7 @@
     SUBDIR += dcfldd
     SUBDIR += dd_rescue
     SUBDIR += ddrescue
+    SUBDIR += debhelper
     SUBDIR += debootstrap
     SUBDIR += decomment
     SUBDIR += deltup

Added: head/sysutils/debhelper/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/debhelper/Makefile	Fri Feb  8 09:08:19 2013	(r311923)
@@ -0,0 +1,18 @@
+# Created by: Gea-Suan Lin <gslin@gslin.org>
+# $FreeBSD$
+
+PORTNAME=	debhelper
+PORTVERSION=	9.20120909
+CATEGORIES=	sysutils
+MASTER_SITES=	DEBIAN
+DISTFILES=	${PORTNAME}_${PORTVERSION}${EXTRACT_SUFX}
+
+MAINTAINER=	gslin@gslin.org
+COMMENT=	Helper programs for debian/rules
+
+MAKE_ENV+=	SITE_PERL_REL=${SITE_PERL_REL}
+NO_BUILD=	yes
+USE_PERL5=	yes
+WRKSRC=		${WRKDIR}/${PORTNAME}
+
+.include <bsd.port.mk>

Added: head/sysutils/debhelper/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/debhelper/distinfo	Fri Feb  8 09:08:19 2013	(r311923)
@@ -0,0 +1,2 @@
+SHA256 (debhelper_9.20120909.tar.gz) = fabcdb9c41975ea0a1ccc66d6e065e424ed7a2119f6f1a6f7bfb7d06701370af
+SIZE (debhelper_9.20120909.tar.gz) = 464785

Added: head/sysutils/debhelper/files/patch-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/debhelper/files/patch-Makefile	Fri Feb  8 09:08:19 2013	(r311923)
@@ -0,0 +1,26 @@
+--- Makefile.orig	2012-08-26 22:22:58.000000000 +0800
++++ Makefile	2012-08-26 22:23:51.000000000 +0800
+@@ -78,15 +78,14 @@
+ 	done;
+ 
+ install:
+-	install -d $(DESTDIR)/usr/bin \
+-		$(DESTDIR)/usr/share/debhelper/autoscripts \
+-		$(DESTDIR)$(PERLLIBDIR)/Sequence \
+-		$(DESTDIR)$(PERLLIBDIR)/Buildsystem
+-	install dh $(COMMANDS) $(DESTDIR)/usr/bin
+-	install -m 0644 autoscripts/* $(DESTDIR)/usr/share/debhelper/autoscripts
+-	install -m 0644 Debian/Debhelper/*.pm $(DESTDIR)$(PERLLIBDIR)
+-	install -m 0644 Debian/Debhelper/Sequence/*.pm $(DESTDIR)$(PERLLIBDIR)/Sequence
+-	install -m 0644 Debian/Debhelper/Buildsystem/*.pm $(DESTDIR)$(PERLLIBDIR)/Buildsystem
++	install -d \
++		$(PREFIX)/${SITE_PERL_REL}/Debian/Debhelper/Sequence \
++		$(PREFIX)/${SITE_PERL_REL}/Debian/Debhelper/Buildsystem
++	install dh $(COMMANDS) $(PREFIX)/bin
++	install -m 0644 autoscripts/* $(PREFIX)/bin
++	install -m 0644 Debian/Debhelper/*.pm $(PREFIX)/$(SITE_PERL_REL)/Debian/Debhelper
++	install -m 0644 Debian/Debhelper/Sequence/*.pm $(PREFIX)/$(SITE_PERL_REL)/Debian/Debhelper/Sequence
++	install -m 0644 Debian/Debhelper/Buildsystem/*.pm $(PREFIX)/$(SITE_PERL_REL)/Debian/Debhelper/Buildsystem
+ 
+ test: version
+ 	./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ && -f && -x } @ARGV' t/* t/buildsystems/*

Added: head/sysutils/debhelper/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/debhelper/pkg-descr	Fri Feb  8 09:08:19 2013	(r311923)
@@ -0,0 +1,7 @@
+A collection of programs that can be used in a debian/rules file to automate
+common tasks related to building debian packages. Programs are included to
+install various files into your package, compress files, fix file permissions,
+integrate your package with the debian menu system, debconf, doc-base, etc.
+Most debian packages use debhelper as part of their build process.
+
+WWW:	http://joeyh.name/code/debhelper/

Added: head/sysutils/debhelper/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/debhelper/pkg-plist	Fri Feb  8 09:08:19 2013	(r311923)
@@ -0,0 +1,62 @@
+@comment $FreeBSD$
+%%SITE_PERL%%/Debian/Debhelper/Buildsystem.pm
+%%SITE_PERL%%/Debian/Debhelper/Buildsystem/ant.pm
+%%SITE_PERL%%/Debian/Debhelper/Buildsystem/autoconf.pm
+%%SITE_PERL%%/Debian/Debhelper/Buildsystem/cmake.pm
+%%SITE_PERL%%/Debian/Debhelper/Buildsystem/makefile.pm
+%%SITE_PERL%%/Debian/Debhelper/Buildsystem/perl_build.pm
+%%SITE_PERL%%/Debian/Debhelper/Buildsystem/perl_makemaker.pm
+%%SITE_PERL%%/Debian/Debhelper/Buildsystem/python_distutils.pm
+%%SITE_PERL%%/Debian/Debhelper/Buildsystem/qmake.pm
+%%SITE_PERL%%/Debian/Debhelper/Buildsystem/qmake_qt4.pm
+%%SITE_PERL%%/Debian/Debhelper/Dh_Buildsystems.pm
+%%SITE_PERL%%/Debian/Debhelper/Dh_Getopt.pm
+%%SITE_PERL%%/Debian/Debhelper/Dh_Lib.pm
+%%SITE_PERL%%/Debian/Debhelper/Sequence/python_support.pm
+bin/dh
+bin/maintscript-helper
+bin/postinst-emacsen
+bin/postinst-icons
+bin/postinst-init
+bin/postinst-init-nostart
+bin/postinst-init-restart
+bin/postinst-makeshlibs
+bin/postinst-menu
+bin/postinst-menu-method
+bin/postinst-mime
+bin/postinst-modules
+bin/postinst-moveconffile
+bin/postinst-python
+bin/postinst-sharedmimeinfo
+bin/postinst-suid
+bin/postinst-ucf
+bin/postinst-usrlocal
+bin/postinst-wm
+bin/postinst-wm-noman
+bin/postinst-xfonts
+bin/postrm-debconf
+bin/postrm-icons
+bin/postrm-init
+bin/postrm-makeshlibs
+bin/postrm-menu
+bin/postrm-menu-method
+bin/postrm-mime
+bin/postrm-modules
+bin/postrm-sgmlcatalog
+bin/postrm-sharedmimeinfo
+bin/postrm-suid
+bin/postrm-ucf
+bin/postrm-xfonts
+bin/preinst-moveconffile
+bin/preinst-sgmlcatalog
+bin/prerm-emacsen
+bin/prerm-init
+bin/prerm-init-norestart
+bin/prerm-python
+bin/prerm-usrlocal
+bin/prerm-wm
+@dirrmtry %%SITE_PERL%%/Debian/Debhelper/Sequence
+@dirrmtry %%SITE_PERL%%/Debian/Debhelper/Buildsystem
+@dirrmtry %%SITE_PERL%%/Debian/Debhelper
+@dirrmtry %%SITE_PERL%%/Debian
+@dirrmtry %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"